Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint.impl
Class EnclosingStaticJoinPointImpl

    java.lang.Object
      org.codehaus.aspectwerkz.joinpoint.impl.EnclosingStaticJoinPointImpl

All Implemented Interfaces:
  EnclosingStaticJoinPoint

    public class EnclosingStaticJoinPointImpl

extends Object
implements EnclosingStaticJoinPoint

Sole implementation of `EnclosingStaticJoinPoint`. It provides access to the enclosing `Signature` of the joinpoint.

Version:
  $Revision: 1.2 $
Author:
  Alex Popescu

Constructor Summary
`EnclosingStaticJoinPointImpl(Signature signature, JoinPointType jpType)`

Method Summary
`Signature` | `getSignature()` Retrieve the `Signature` of the enclosing join point.
`JoinPointType` | `getType()` Return a join point type corresponding to the enclosing join point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnclosingStaticJoinPointImpl

    public EnclosingStaticJoinPointImpl(Signature signature,
                                        JoinPointType jpType)

Method Detail

### getSignature

    public Signature getSignature()

  Retrieve the `Signature` of the enclosing join point.

  Specified by:
    `getSignature` in interface `EnclosingStaticJoinPoint`
  Returns:
    a `Signature`

### getType

    public JoinPointType getType()

  Return a join point type corresponding to the enclosing join point.

  Specified by:
    `getType` in interface `EnclosingStaticJoinPoint`
  Returns:
    one of `JoinPointType.CONSTRUCTOR_EXECUTION` or `JoinPointType.METHOD_EXECUTION` or `JoinPointType.STATIC_INITIALIZATION`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.